%define oname ardour2

Summary:   	Professional multitrack audio recording application
Name:		ardour
Version:	2.0.5
Release:	%mkrel 6
Epoch:		1
Group:		Sound
License:	GPL
URL:		http://%{name}.sourceforge.net/
Source0:	http://ardour.org/releases/%{name}-%{version}.tar.bz2
Patch0:		ardour-gtk-2.11_fix.diff
Patch1:		ardour-2.0.5-fix_compile.patch
Patch2:		ardour-no_snd-seq_crashfix.diff
BuildRequires:	curl-devel
BuildRequires:	fftw3-devel
BuildRequires:	gettext >= 0.11.5
BuildRequires:	gtk2-devel >= 2.8
BuildRequires:	gtkmm2.4-devel >= 2.10.8
BuildRequires:	jackit-devel >= 0.100
BuildRequires: 	libalsa-devel
BuildRequires:	libart_lgpl-devel >= 2.3.16
BuildRequires:	libboost-devel
BuildRequires:	libflac-devel
BuildRequires:	libglib2.0-devel >= 2.10
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	libgnomecanvasmm2.6-devel
BuildRequires:	liblo-devel
BuildRequires:	liblrdf-devel >= 0.3.1
BuildRequires:	libsamplerate-devel >= 0.0.13
BuildRequires:	libsndfile-devel >= 1.0.16
BuildRequires:	libtool
BuildRequires: 	libusb-devel
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	raptor-devel
BuildRequires:	scons >= 0.96
BuildRequires:	soundtouch-devel >= 1.3.1
BuildRequires:	sqlite3-devel
Requires:	jackit >= 0.100
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Ardour is a digital audio workstation.You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video soundtracks, or just
experiment with new ideas about music and sound.

Ardour capabilities include: multichannel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/busses/plugins, timecode synchronization, and hardware control from
surfaces like the Mackie Control Universal. If you've been looking for a tool
similar to ProTools, Nuendo, Pyramix, or Sequoia, you might have found it.

You must have jackd running and an ALSA sound driver to use ardour. If you are
new to jackd, try qjackctl.

See the online user manual at http://ardour.org/files/manual/index.html

Important notice: This package is built against the system libraries in
Mandriva, and in the SConstruct file there is a text that seems to invalidate
support from upstream authors "USE AT YOUR OWN RISK: CANCELS ALL SUPPORT FROM
ARDOUR AUTHORS".

%prep

%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
scons %{_smp_mflags} PREFIX="%{_prefix}" FFT_ANALYSIS="1" LIBDIR="%{_libdir}" SYSLIBS="1"
#scons %{_smp_mflags} PREFIX="%{_prefix}" FFT_ANALYSIS="1" LIBDIR="%{_libdir}" SYSLIBS="0" DEBUG=1

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}

scons DESTDIR=%{buildroot} install 

mv %{buildroot}/%{_bindir}/ardour2 %{buildroot}/%{_bindir}/ardour

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ardour
Comment=Professional multitrack audio recording application
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Audio;AudioVideoEditing;
EOF

# icons
mkdir -p %{buildroot}/%{_liconsdir} %{buildroot}/%{_miconsdir}
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,22x22,32x32,48x48}/apps
cp gtk2_ardour/icons/ardour_icon_16px.png %{buildroot}/%{_miconsdir}/%{name}.png
cp gtk2_ardour/icons/ardour_icon_16px.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp gtk2_ardour/icons/ardour_icon_22px.png %{buildroot}/%{_iconsdir}/hicolor/22x22/apps/%{name}.png
cp gtk2_ardour/icons/ardour_icon_32px.png %{buildroot}/%{_iconsdir}/%{name}.png
cp gtk2_ardour/icons/ardour_icon_32px.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp gtk2_ardour/icons/ardour_icon_48px.png %{buildroot}/%{_liconsdir}/%{name}.png
cp gtk2_ardour/icons/ardour_icon_48px.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc DOCUMENTATION/{AUTHORS*,CONTRIBUTORS*,FAQ*,README*,TRANSLATORS*}
%dir %{_sysconfdir}/%{oname}
%dir %{_libdir}/%{oname}
%dir %{_datadir}/%{oname}
%dir %{_datadir}/%{oname}/icons
%dir %{_datadir}/%{oname}/pixmaps
%dir %{_datadir}/%{oname}/templates
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_dark.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_default.conf
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_light.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/ardour.menus
%config(noreplace) %{_sysconfdir}/%{oname}/ardour_system.rc
%{_bindir}/%{name}
%{_libdir}/%{oname}/*.so
%{_libdir}/%{oname}/ardour-*
%{_libdir}/%{oname}/surfaces/*.so
%{_libdir}/%{oname}/engines/*.so
%{_datadir}/applications/mandriva-ardour.desktop
%{_datadir}/%{oname}/icons/*.png
%{_datadir}/%{oname}/pixmaps/*.xpm
%{_datadir}/%{oname}/*.png
%{_datadir}/%{oname}/templates/*.template
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 2.0.5-6mdv2008.0
+ Revision: 77179
- fix menu entry comment

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.5-2mdv2008.0
+ Revision: 68770
- added two patches from the author (all patches will be in 2.0.6)
- don't use %%{optfflags} but build against system libs for now

* Sun Aug 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.5-1mdv2008.0
+ Revision: 59098
- 2.0.5
- fix deps

* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.4-2mdv2008.0
+ Revision: 58532
- rebuild

* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.4-1mdv2008.0
+ Revision: 57631
- 2.0.4
- major rework, build it against system libs

  + Austin Acton <austin@mandriva.org>
    - new version

* Sat May 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0.2-1mdv2008.0
+ Revision: 31316
- new version

* Tue May 15 2007 Austin Acton <austin@mandriva.org> 1:2.0.1-4mdv2008.0
+ Revision: 26975
- fix file list
- fix executable name

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1:2.0.1-3mdv2008.0
+ Revision: 25844
- buildconflicts libsndfile and libflac

* Wed May 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0.1-1mdv2008.0
+ Revision: 25814
- new version (bugfixes)

* Wed May 09 2007 Austin Acton <austin@mandriva.org> 1:2.0-4mdv2008.0
+ Revision: 25372
- oops, still need old icons too

* Tue May 08 2007 Austin Acton <austin@mandriva.org> 1:2.0-3mdv2008.0
+ Revision: 25299
- use bundled icons, and make them XDG-compliant

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0-2mdv2008.0
+ Revision: 23950
- own missing files
- drop Sources 3,4,8
- spec file clean
- update description
- update file list
- update to 2.0


* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.99.3-3mdv2007.0
+ Revision: 109489
- Rebuild against new curl
- Import ardour

* Fri Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 0.99.3-2mdv2007.0
- xdg menu
- fix description

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.99.3-1mdk
- 0.99.3

* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.99.2-2mdk
- Fix build on ppc

* Sun Feb 26 2006 Austin Acton <austin@mandriva.org> 0.99.2-1mdk
- 0.99.2

* Thu Nov 03 2005 Pascal Terjan <pterjan@mandriva.org> 0.99-1mdk
- 0.99
- Now uses scons instead of make
- Do not build text interface as ardour_ksi/ is not included in 0.99 tarball

* Wed Mar 16 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta28.1mdk
- 0.9beta28
- source URL

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta24.1mdk
- 0.9beta24

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta22.1mdk
- 0.9beta22
- configure 2.5

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta19.1mdk
- 0.9beta19

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta10.2.1mdk
- 0.9beta10.2

